<BOUCLE_doc (DOCUMENTS) {id_document} {tout}>
[(#REM)

	Modele pour <doc> en dl/dt/dd
	cf. http://pompage.net/pompe/listesdefinitions/

	La largeur de la legende est egale a la largeur de l'image
	avec un minimum de 120px, et un maximum de 350px.

	Dans le cas d'une simple image (mode=image), on affiche
	le document lui-meme, sans lien de telechargement
]
[(#MODE|=={image}|oui)
	#SET{fichier,#URL_DOCUMENT}
	#SET{width,#LARGEUR}
	#SET{height,#HAUTEUR}
	#SET{url,#ENV{lien}}
]
[(#MODE|=={image}|non)
	[(#SET{fichier,[(#LOGO_DOCUMENT||extraire_attribut{src})]})]
	[(#SET{width,[(#LOGO_DOCUMENT||extraire_attribut{width})]})]
	[(#SET{height,[(#LOGO_DOCUMENT||extraire_attribut{height})]})]
	#SET{url,#ENV{lien,#URL_DOCUMENT}}
][(#ENV{largeur,0}|ou{#ENV{hauteur,0}})
#SET{fichier,#GET{fichier}|image_reduire{#ENV{largeur,0},#ENV{hauteur,0}}}
#SET{width,#GET{fichier}|largeur}
#SET{height,#GET{fichier}|hauteur}
#SET{fichier,#GET{fichier}|extraire_attribut{src}}
]
<dl class='spip_document_#ID_DOCUMENT spip_documents[ spip_documents_(#ENV{align})][ (#ENV{class})] spip_lien_ok'[ style='float:(#ENV{align}|match{left|right});']>
<dt>[<a href="(#GET{url})"[ class="(#ENV{lien_class})"] title='#TYPE_DOCUMENT - [(#TAILLE|taille_en_octets|texte_backend)]'[ (#ENV{lien}|?{'',type="#MIME_TYPE"})]>]<img src='#GET{fichier}' width='#GET{width}' height='#GET{height}' alt='#TYPE_DOCUMENT - [(#TAILLE|taille_en_octets|texte_backend)]' />[(#GET{url}|?{</a>})]</dt>[
<dt class='#EDIT{titre} spip_doc_titre'><strong>(#TITRE|sinon{[(#ENV{edition}|?{Editer le titre,''})]})</strong></dt>][
<dd class='#EDIT{descriptif} spip_doc_descriptif'>(#DESCRIPTIF|sinon{[(#ENV{edition}|?{Editer le descriptif,''})]}|PtoBR)[(#NOTES|PtoBR)]</dd>][
<dd class='#EDIT{credits} spip_doc_descriptif'>(#CREDITS|sinon{[(#ENV{edition}|?{Editer les credits,''})]}|PtoBR)[(#NOTES|PtoBR)]</dd>]
</dl>
</BOUCLE_doc>
